/* eslint-disable */
// @ts-ignore
import { request } from '@/utils/request';

/** 新增或修改电子签设置 POST /api/LgGigWorkerSignSetting/CreateOrEditLgGigWorkerSignSetting */
export async function createOrEditLgGigWorkerSignSetting(
  body: API.CreateOrEditLgGigWorkerSignSettingInput,
  options?: API.RequestConfig
) {
  return request<string>('/api/LgGigWorkerSignSetting/CreateOrEditLgGigWorkerSignSetting', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 删除电子签设置 DELETE /api/LgGigWorkerSignSetting/DeleteLgGigWorkerSignSetting */
export async function deleteLgGigWorkerSignSetting(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIdeleteLgGigWorkerSignSettingParams,
  options?: API.RequestConfig
) {
  return request<number>('/api/LgGigWorkerSignSetting/DeleteLgGigWorkerSignSetting', {
    method: 'DELETE',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 获取电子签配置管理列表 POST /api/LgGigWorkerSignSetting/GetLgGigWorkerSignSettingList */
export async function getLgGigWorkerSignSettingList(
  body: API.GetGigWorkerSignSettingInput,
  options?: API.RequestConfig
) {
  return request<API.LgGigWorkerSignSettingDtoPageOutput>(
    '/api/LgGigWorkerSignSetting/GetLgGigWorkerSignSettingList',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 设置电子签设置状态 POST /api/LgGigWorkerSignSetting/SetLgGigWorkerSignSettingStatus */
export async function setLgGigWorkerSignSettingStatus(
  body: API.SetSignStatusInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/LgGigWorkerSignSetting/SetLgGigWorkerSignSettingStatus', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}
